/**
 *
 */
package com.fp.frontend.webservices.snap.modelo;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * Clase xml con los elementos de la cabecera de la salida del WS
 *
 * @author Manuel Cepeda
 *
 */
@XmlRootElement(name = "Cabecera")
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(propOrder = {"idMensaje", "fecha", "hora"})
public class CabeceraXml implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 1216982166335460756L;

    @XmlElement(name = "IdMensaje")
    private String idMensaje;
    @XmlElement(name = "Fecha")
    private String fecha;
    @XmlElement(name = "Hora")
    private String hora;

    /**
     *
     */
    public CabeceraXml() {
    }

    public CabeceraXml(String idMensaje, String fecha, String hora) {
        super();
        this.idMensaje = idMensaje;
        this.fecha = fecha;
        this.hora = hora;
    }

    /**
     * @return the idMensaje
     */
    public String getIdMensaje() {
        return idMensaje;
    }

    /**
     * @param idMensaje the idMensaje to set
     */
    public void setIdMensaje(String idMensaje) {
        this.idMensaje = idMensaje;
    }

    /**
     * @return the fecha
     */
    public String getFecha() {
        return fecha;
    }

    /**
     * @param fecha the fecha to set
     */
    public void setFecha(String fecha) {
        this.fecha = fecha;
    }

    /**
     * @return the hora
     */
    public String getHora() {
        return hora;
    }

    /**
     * @param hora the hora to set
     */
    public void setHora(String hora) {
        this.hora = hora;
    }

}
